/** 请求环境配置 */
/** 不同服务的环境配置 */
// const serviceEnv = {
//   development: {
//     url: 'https://yunpos-manageapi.cs.kemai.com.cn',
//   },
//   test: {
//     url: '/',
//   },
//   production: {
//     url: '/',
//   },
// };

/**
 * 获取当前模式的环境配置
 * @param env 环境
 */
export function getEnvConfig(env) {
  const {
    VITE_ENV_TYPE = 'development',
    VITE_APP_PROXY_PREFIX,
    VITE_APP_PROXY_URL,
  } = env;
  // const envConfig = serviceEnv[VITE_ENV_TYPE];
  const envConfig = {
    url: VITE_APP_PROXY_URL || '/',
  };
  envConfig.proxy = VITE_APP_PROXY_PREFIX;
  return envConfig;
}
