// 系统路由
const routes = [
  {
    name: 'Bootstrap',
    path: '/bootstrap',
    component: () => import('@/layout/empty.vue'),
    children: [],
    meta: {
      title: '',
    },
  },
  {
    name: 'Layout',
    path: '/',
    component: () => import('@/layout/index.vue'),
    redirect: '/login',
    children: [],
    meta: {
      title: '',
    },
  },
  {
    name: 'Login',
    path: '/login',
    component: () => import('@/views/login/index.vue'),
    meta: { title: '登录' },
  },

  {
    path: '/:pathMatch(.*)*',
    hidden: true,
    meta: { title: '访问的页面不存在' },
    component: () => import('@/layout/404.vue'),
  },
];

export default routes;
